POST /api/proxies/{PORT}/banip
Path Parameter
Existing proxy port number
POST body
IP to ban. e.g.
1.2.1.2Ban the IP for sending requests to the specified domain
Ban the IP for specified milliseconds
curl "http://127.0.0.1:22999/api/proxies/{PORT}/banip" -H "Content-Type: application/json" -d '{"ip":"1.2.1.2","domain":"example.com","ms":60000}'
#!/usr/bin/env node
(async () => {
const response = await fetch('http://127.0.0.1:22999/api/proxies/{PORT}/banip', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({'ip':'1.2.1.2','domain':'example.com','ms':60000}),
});
const data = await response.text();
console.log(data);
})();
package example;
import org.apache.http.HttpHost;
import org.apache.http.client.fluent.*;
public class Example {
public static void main(String[] args) throws Exception {
String body = "{\"ip\":\"1.2.1.2\",\"domain\":\"example.com\",\"ms\":60000}";
String res = Executor.newInstance()
.execute(Request.Post("http://127.0.0.1:22999/api/proxies/{PORT}/banip")
.bodyString(body, ContentType.APPLICATION_JSON))
.returnContent().asString();
System.out.println(res)
}
}
using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
public class Program {
public static async Task Main() {
var client = new HttpClient();
var requestMessage = new HttpRequestMessage {
Method = HttpMethod.Post,
RequestUri = new Uri("http://127.0.0.1:22999/api/proxies/{PORT}/banip"),
Content = new StringContent(JsonConvert.SerializeObject(new {
ip = "1.2.1.2",
domain = "example.com",
ms = 60000
}), Encoding.UTF8, "application/json")
};
var response = await client.SendAsync(requestMessage);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}
#!/usr/bin/env python
print('If you get error "ImportError: No module named requests", please install it:\n$ sudo pip install requests');
import requests
import json
data = {'ip':'1.2.1.2','domain':'example.com','ms':60000}
r = requests.post('http://127.0.0.1:22999/api/proxies/{PORT}/banip', data=json.dumps(data))
print(r.content)